ActionRequest.h File Reference

UpnpActionRequest object declaration. More...

`#include "ixml.h"`
`#include "UpnpGlobal.h"`
`#include "UpnpInet.h"`
`#include "UpnpString.h"`
Include dependency graph for ActionRequest.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct s_UpnpActionRequest | UpnpActionRequest

## Functions

UpnpActionRequest * | UpnpActionRequest_new ()
void | UpnpActionRequest_delete (UpnpActionRequest *p)
UpnpActionRequest * | UpnpActionRequest_dup (const UpnpActionRequest *p)
void | UpnpActionRequest_assign (UpnpActionRequest *p, const UpnpActionRequest *q)
int | UpnpActionRequest_get_ErrCode (const UpnpActionRequest *p)
void | UpnpActionRequest_set_ErrCode (UpnpActionRequest *p, int n)
int | UpnpActionRequest_get_Socket (const UpnpActionRequest *p)
void | UpnpActionRequest_set_Socket (UpnpActionRequest *p, int n)
const UpnpString * | UpnpActionRequest_get_ErrStr (const UpnpActionRequest *p)
const char * | UpnpActionRequest_get_ErrStr_cstr (const UpnpActionRequest *p)
void | UpnpActionRequest_set_ErrStr (UpnpActionRequest *p, const UpnpString *s)
void | UpnpActionRequest_strcpy_ErrStr (UpnpActionRequest *p, const char *s)
const UpnpString * | UpnpActionRequest_get_ActionName (const UpnpActionRequest *p)
const char * | UpnpActionRequest_get_ActionName_cstr (const UpnpActionRequest *p)
void | UpnpActionRequest_set_ActionName (UpnpActionRequest *p, const UpnpString *s)
void | UpnpActionRequest_strcpy_ActionName (UpnpActionRequest *p, const char *s)
const UpnpString * | UpnpActionRequest_get_DevUDN (const UpnpActionRequest *p)
const char * | UpnpActionRequest_get_DevUDN_cstr (const UpnpActionRequest *p)
void | UpnpActionRequest_set_DevUDN (UpnpActionRequest *p, const UpnpString *s)
const UpnpString * | UpnpActionRequest_get_ServiceID (const UpnpActionRequest *p)
const char * | UpnpActionRequest_get_ServiceID_cstr (const UpnpActionRequest *p)
void | UpnpActionRequest_set_ServiceID (UpnpActionRequest *p, const UpnpString *s)
IXML_Document * | UpnpActionRequest_get_ActionRequest (const UpnpActionRequest *p)
void | UpnpActionRequest_set_ActionRequest (UpnpActionRequest *p, IXML_Document *d)
IXML_Document * | UpnpActionRequest_get_ActionResult (const UpnpActionRequest *p)
void | UpnpActionRequest_set_ActionResult (UpnpActionRequest *p, IXML_Document *d)
IXML_Document * | UpnpActionRequest_get_SoapHeader (const UpnpActionRequest *p)
void | UpnpActionRequest_set_SoapHeader (UpnpActionRequest *p, IXML_Document *d)
struct sockaddr * | UpnpActionRequest_get_CtrlPtIPAddr (const UpnpActionRequest *p)
void | UpnpActionRequest_set_CtrlPtIPAddr (UpnpActionRequest *p, const struct sockaddr *sa)

## Detailed Description

UpnpActionRequest object declaration.

Author
  Marcelo Roberto Jimenez

## Typedef Documentation

typedef struct s_UpnpActionRequest UpnpActionRequest

Returned as part of a UPNP_CONTROL_ACTION_COMPLETE callback.

## Function Documentation

void UpnpActionRequest_assign | ( | UpnpActionRequest * | p,
|  | const UpnpActionRequest * | q
| ) |  |

Assignment operator

References UpnpActionRequest_get_ActionName(), UpnpActionRequest_get_ActionRequest(), UpnpActionRequest_get_ActionResult(), UpnpActionRequest_get_CtrlPtIPAddr(), UpnpActionRequest_get_DevUDN(), UpnpActionRequest_get_ErrCode(), UpnpActionRequest_get_ErrStr(), UpnpActionRequest_get_ServiceID(), UpnpActionRequest_get_SoapHeader(), and UpnpActionRequest_get_Socket().

Referenced by UpnpActionRequest_dup().

void UpnpActionRequest_delete | ( | UpnpActionRequest * | p | ) |

Destructor

References UpnpString_delete().

UpnpActionRequest* UpnpActionRequest_dup | ( | const UpnpActionRequest * | p | ) |

Copy Constructor

References UpnpActionRequest_assign(), and UpnpActionRequest_new().

const UpnpString* UpnpActionRequest_get_ActionName | ( | const UpnpActionRequest * | p | ) |

The Action Name

Referenced by UpnpActionRequest_assign().

IXML_Document* UpnpActionRequest_get_ActionRequest | ( | const UpnpActionRequest * | p | ) |

The DOM document describing the action

Referenced by UpnpActionRequest_assign().

IXML_Document* UpnpActionRequest_get_ActionResult | ( | const UpnpActionRequest * | p | ) |

The DOM document describing the result of the action

Referenced by UpnpActionRequest_assign().

struct sockaddr* UpnpActionRequest_get_CtrlPtIPAddr | ( | const UpnpActionRequest * | p | ) |

read

IP address of the control point requesting this action

Referenced by UpnpActionRequest_assign().

const UpnpString* UpnpActionRequest_get_DevUDN | ( | const UpnpActionRequest * | p | ) |

The unique device ID

Referenced by UpnpActionRequest_assign().

int UpnpActionRequest_get_ErrCode | ( | const UpnpActionRequest * | p | ) |

The result of the operation

Referenced by UpnpActionRequest_assign().

const UpnpString* UpnpActionRequest_get_ErrStr | ( | const UpnpActionRequest * | p | ) |

The error string in case of error

Referenced by UpnpActionRequest_assign().

const UpnpString* UpnpActionRequest_get_ServiceID | ( | const UpnpActionRequest * | p | ) |

The service ID

Referenced by UpnpActionRequest_assign().

IXML_Document* UpnpActionRequest_get_SoapHeader | ( | const UpnpActionRequest * | p | ) |

The DOM document containing the information from the SOAP header

Referenced by UpnpActionRequest_assign().

int UpnpActionRequest_get_Socket | ( | const UpnpActionRequest * | p | ) |

The socket number of the connection to the requestor

Referenced by UpnpActionRequest_assign().

UpnpActionRequest* UpnpActionRequest_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by UpnpActionRequest_dup().